# -*- coding: utf-8 -*-
# -*- mode: python -*-
# vi: set ft=python :

# Copyright (C) 2024 The C++ Plus Project.
# This file is part of the Rubisco.
#
# Rubisco is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.
#
# Rubisco is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

"""
Locale names for l10n.
"""

__all__ = ["LOCALE_NAMES"]

LOCALE_NAMES = {
    "aa_DJ": "Afar (Djibouti)",  # Afar (Djibouti)
    "aa_ER": "Afar (Eritrea)",  # Afar (Eritrea)
    "aa_ER@saaho": "Afar (Eritrea, Saaho)",  # Afar (Eritrea, Saaho)
    "aa_ET": "Afar (Ethiopia)",  # Afar (Ethiopia)
    "af_ZA": "Afrikaans (South Africa)",  # Afrikaans (South Africa)
    "agr_PE": "Aguaruna (Peru)",  # Aguaruna (Peru)
    "ak_GH": "Akan (Ghana)",  # Akan (Ghana)
    "am_ET": "Amharic (Ethiopia)",  # Amharic (Ethiopia)
    "an_ES": "Aragonese (Spain)",  # Aragonese (Spain)
    "anp_IN": "Angika (India)",  # Angika (India)
    "ar_AE": "العربية ( الإمارات العربية المتحدة )",  # Arabic (UAE)
    "ar_BH": "العربية ( البحرين )",  # Arabic (Bahrain)
    "ar_DZ": "العربية ( الجزائر )",  # Arabic (Algeria)
    "ar_EG": "العربية ( مصر )",  # Arabic (Egypt)
    "ar_IN": "العربية ( الهند )",  # Arabic (India)
    "ar_IQ": "العربية ( العراق )",  # Arabic (Iraq)
    "ar_JO": "العربية ( الأردن )",  # Arabic (Jordan)
    "ar_KW": "العربية ( الكويت )",  # Arabic (Kuwait)
    "ar_LB": "العربية ( لبنان )",  # Arabic (Lebanon)
    "ar_LY": "العربية ( ليبيا )",  # Arabic (Libya)
    "ar_MA": "العربية ( المغرب )",  # Arabic (Morocco)
    "ar_OM": "العربية ( عمان )",  # Arabic (Oman)
    "ar_QA": "العربية ( قطر )",  # Arabic (Qatar)
    "ar_SA": "العربية ( المملكة العربية السعودية )",  # Arabic (Saudi Arabia)
    "ar_SD": "العربية ( السودان )",  # Arabic (Sudan)
    "ar_SS": "العربية ( جنوب السودان )",  # Arabic (South Sudan)
    "ar_SY": "العربية ( سوريا )",  # Arabic (Syria)
    "ar_TN": "العربية ( تونس )",  # Arabic (Tunisia)
    "ar_YE": "العربية ( اليمن )",  # Arabic (Yemen)
    "as_IN": "অসমীয়া (ভাৰত)",  # Assamese (India)
    "ast_ES": "Asturian (Spain)",  # Asturian (Spain)
    "ayc_PE": "Aymara (Peru)",  # Aymara (Peru)
    "az_AZ": "Azərbaycan dili (Azərbaycan)",  # Azerbaijani (Azerbaijan)
    "az_IR": "Azərbaycan dili (İran)",  # Azerbaijani (Iran)
    "be_BY": "Беларуская (Беларусь)",  # Belarusian (Belarus)
    "be_BY@latin": "Беларуская (Беларусь, лацінка)",  # Belarusian (Belarus, Latin) # noqa
    "bem_ZM": "Bemba (Zambia)",  # Bemba (Zambia)
    "ber_DZ": "Berber (Algeria)",  # Berber (Algeria)
    "ber_MA": "Berber (Morocco)",  # Berber (Morocco)
    "bg_BG": "Български (България)",  # Bulgarian (Bulgaria)
    "bhb_IN": "Bhili (India)",  # Bhili (India)
    "bho_IN": "भोजपुरी (भारत)",  # Bhojpuri (India)
    "bho_NP": "भोजपुरी (नेपाल)",  # Bhojpuri (Nepal)
    "bi_VU": "Bislama (Vanuatu)",  # Bislama (Vanuatu)
    "bn_BD": "বাংলা (বাংলাদেশ)",  # Bengali (Bangladesh)
    "bn_IN": "বাংলা (ভারত)",  # Bengali (India)
    "bo_CN": "བོད་ཡིག (རྒྱ་ནག)",  # Tibetan (China)
    "bo_IN": "བོད་ཡིག (རྒྱ་གར)",  # Tibetan (India)
    "br_FR": "Brezhoneg (Frañs)",  # Breton (France)
    "br_FR@euro": "Brezhoneg (Frañs, euro)",  # Breton (France, Euro)
    "brx_IN": "बड़ो (भारत)",  # Bodo (India)
    "bs_BA": "Bosanski (Bosna i Hercegovina)",  # Bosnian (Bosnia and Herzegovina) # noqa
    "byn_ER": "Blin (Eritrea)",  # Blin (Eritrea)
    "C": "Default (C)",  # C
    "ca_AD": "Català (Andorra)",  # Catalan (Andorra)
    "ca_ES": "Català (Espanya)",  # Catalan (Spain)
    "ca_ES@euro": "Català (Espanya, euro)",  # Catalan (Spain, Euro)
    "ca_ES@valencia": "Català (Espanya, valencia)",  # Catalan (Spain, Valencia) # noqa
    "ca_FR": "Català (França)",  # Catalan (France)
    "ca_IT": "Català (Itàlia)",  # Catalan (Italy)
    "ce_RU": "Нохчийн (Росси)",  # Chechen (Russia)
    "chr_US": "ᏣᎳᎩ (ᎠᎹᏂᎠ)",  # Cherokee (United States)
    "ckb_IQ": "کوردی (عێراق)",  # Kurdish (Iraq)
    "crh_UA": "Qırımtatarca (Ukrayna)",  # Crimean Tatar (Ukraine)
    "csb_PL": "Kaszëbsczi (Pòlskô)",  # Kashubian (Poland)
    "cs_CZ": "Čeština (Česká republika)",  # Czech (Czech Republic)
    "cv_RU": "Чӑвашла (Росси)",  # Chuvash (Russia)
    "cy_GB": "Cymraeg (Y Deyrnas Unedig)",  # Welsh (United Kingdom)
    "da_DK": "Dansk (Danmark)",  # Danish (Denmark)
    "de_AT": "Deutsch (Österreich)",  # German (Austria)
    "de_AT@euro": "Deutsch (Österreich, Euro)",  # German (Austria, Euro)
    "de_BE": "Deutsch (Belgien)",  # German (Belgium)
    "de_BE@euro": "Deutsch (Belgien, Euro)",  # German (Belgium, Euro)
    "de_CH": "Deutsch (Schweiz)",  # German (Switzerland)
    "de_DE": "Deutsch (Deutschland)",  # German (Germany)
    "de_DE@euro": "Deutsch (Deutschland, Euro)",  # German (Germany, Euro)
    "de_IT": "Deutsch (Italien)",  # German (Italy)
    "de_LI": "Deutsch (Liechtenstein)",  # German (Liechtenstein)
    "de_LU": "Deutsch (Luxemburg)",  # German (Luxembourg)
    "de_LU@euro": "Deutsch (Luxemburg, Euro)",  # German (Luxembourg, Euro)
    "doi_IN": "डोगरी (भारत)",  # Dogri (India)
    "dsb_DE": "Dolnoserbšćina (Nimska)",  # Lower Sorbian (Germany)
    "dv_MV": "ދިވެހި (ދިވެހި)",  # Divehi (Maldives)
    "dz_BT": "རྫོང་ཁ (འབྲུག)",  # Dzongkha (Bhutan)
    "el_CY": "Ελληνικά (Κύπρος)",  # Greek (Cyprus)
    "el_GR": "Ελληνικά (Ελλάδα)",  # Greek (Greece)
    "el_GR@euro": "Ελληνικά (Ελλάδα, euro)",  # Greek (Greece, Euro)
    "en_AG": "English (Antigua and Barbuda)",  # English (Antigua and Barbuda)
    "en_AU": "English (Australia)",  # English (Australia)
    "en_BW": "English (Botswana)",  # English (Botswana)
    "en_CA": "English (Canada)",  # English (Canada)
    "en_DK": "English (Denmark)",  # English (Denmark)
    "en_GB": "English (United Kingdom)",  # English (United Kingdom)
    "en_HK": "English (Hong Kong)",  # English (Hong Kong)
    "en_IE": "English (Ireland)",  # English (Ireland)
    "en_IE@euro": "English (Ireland, Euro)",  # English (Ireland, Euro)
    "en_IN": "English (India)",  # English (India)
    "en_NG": "English (Nigeria)",  # English (Nigeria)
    "en_NZ": "English (New Zealand)",  # English (New Zealand)
    "en_PH": "English (Philippines)",  # English (Philippines)
    "en_SC": "English (Seychelles)",  # English (Seychelles)
    "en_SG": "English (Singapore)",  # English (Singapore)
    "en_US": "English (United States)",  # English (United States)
    "en_ZA": "English (South Africa)",  # English (South Africa)
    "en_ZM": "English (Zambia)",  # English (Zambia)
    "en_ZW": "English (Zimbabwe)",  # English (Zimbabwe)
    "eo": "Esperanto",  # Esperanto
    "es_AR": "Español (Argentina)",  # Spanish (Argentina)
    "es_BO": "Español (Bolivia)",  # Spanish (Bolivia)
    "es_CL": "Español (Chile)",  # Spanish (Chile)
    "es_CO": "Español (Colombia)",  # Spanish (Colombia)
    "es_CR": "Español (Costa Rica)",  # Spanish (Costa Rica)
    "es_CU": "Español (Cuba)",  # Spanish (Cuba)
    "es_DO": "Español (República Dominicana)",  # Spanish (Dominican Republic)
    "es_EC": "Español (Ecuador)",  # Spanish (Ecuador)
    "es_ES": "Español (España)",  # Spanish (Spain)
    "es_ES@euro": "Español (España, euro)",  # Spanish (Spain, Euro)
    "es_GT": "Español (Guatemala)",  # Spanish (Guatemala)
    "es_HN": "Español (Honduras)",  # Spanish (Honduras)
    "es_MX": "Español (México)",  # Spanish (Mexico)
    "es_NI": "Español (Nicaragua)",  # Spanish (Nicaragua)
    "es_PA": "Español (Panamá)",  # Spanish (Panama)
    "es_PE": "Español (Perú)",  # Spanish (Peru)
    "es_PR": "Español (Puerto Rico)",  # Spanish (Puerto Rico)
    "es_PY": "Español (Paraguay)",  # Spanish (Paraguay)
    "es_SV": "Español (El Salvador)",  # Spanish (El Salvador)
    "es_US": "Español (Estados Unidos)",  # Spanish (United States)
    "es_UY": "Español (Uruguay)",  # Spanish (Uruguay)
    "es_VE": "Español (Venezuela)",  # Spanish (Venezuela)
    "et_EE": "Eesti (Eesti)",  # Estonian (Estonia)
    "eu_ES": "Euskara (Espainia)",  # Basque (Spain)
    "eu_ES@euro": "Euskara (Espainia, euro)",  # Basque (Spain, Euro)
    "eu_FR": "Euskara (Frantzia)",  # Basque (France)
    "eu_FR@euro": "Euskara (Frantzia, euro)",  # Basque (France, Euro)
    "fa_IR": "فارسی (ایران)",  # Persian (Iran)
    "ff_SN": "Fulah (Senegaal)",  # Fulah (Senegal)
    "fi_FI": "Suomi (Suomi)",  # Finnish (Finland)
    "fi_FI@euro": "Suomi (Suomi, euro)",  # Finnish (Finland, Euro)
    "fil_PH": "Filipino (Pilipinas)",  # Filipino (Philippines)
    "fo_FO": "Føroyskt (Føroyar)",  # Faroese (Faroe Islands)
    "fr_BE": "Français (Belgique)",  # French (Belgium)
    "fr_BE@euro": "Français (Belgique, euro)",  # French (Belgium, Euro)
    "fr_CA": "Français (Canada)",  # French (Canada)
    "fr_CH": "Français (Suisse)",  # French (Switzerland)
    "fr_FR": "Français (France)",  # French (France)
    "fr_FR@euro": "Français (France, euro)",  # French (France, Euro)
    "fr_LU": "Français (Luxembourg)",  # French (Luxembourg)
    "fr_LU@euro": "Français (Luxembourg, euro)",  # French (Luxembourg, Euro)
    "fur_IT": "Furlan (Italia)",  # Friulian (Italy)
    "fy_DE": "Frysk (Dútslân)",  # Frisian (Germany)
    "fy_NL": "Frysk (Nederlân)",  # Frisian (Netherlands)
    "ga_IE": "Gaeilge (Éire)",  # Irish (Ireland)
    "ga_IE@euro": "Gaeilge (Éire, euro)",  # Irish (Ireland, Euro)
    "gd_GB": "Gàidhlig (An Rìoghachd Aonaichte)",  # Scottish Gaelic (United Kingdom) # noqa
    "gez_ER": "ግዕዝ (ኤርትራ)",  # Ge'ez (Eritrea)
    "gez_ER@abegede": "ግዕዝ (ኤርትራ, abegede)",  # Ge'ez (Eritrea, Abegede)
    "gez_ET": "ግዕዝ (ኢትዮጵያ)",  # Ge'ez (Ethiopia)
    "gez_ET@abegede": "ግዕዝ (ኢትዮጵያ, abegede)",  # Ge'ez (Ethiopia, Abegede)
    "gl_ES": "Galego (España)",  # Galician (Spain)
    "gl_ES@euro": "Galego (España, euro)",  # Galician (Spain, Euro)
    "gu_IN": "ગુજરાતી (ભારત)",  # Gujarati (India)
    "gv_GB": "Gaelg (Rywvaneth Unys)",  # Manx (United Kingdom)
    "hak_TW": "客家語 (中华人民共和国臺灣省)",  # Hakka (Taiwan)
    "ha_NG": "Hausa (Najeriya)",  # Hausa (Nigeria)
    "he_IL": "עברית (ישראל)",  # Hebrew
    "hif_FJ": "Fiji Hindi (Fiji)",  # Fiji Hindi (Fiji)
    "hi_IN": "हिन्दी (भारत)",  # Hindi (India)
    "hne_IN": "छत्तीसगढ़ी (भारत)",  # Chhattisgarhi (India)
    "hr_HR": "Hrvatski (Hrvatska)",  # Croatian (Croatia)
    "hsb_DE": "Hornjoserbšćina (Nimska)",  # Upper Sorbian (Germany)
    "ht_HT": "Kreyòl Ayisyen (Ayiti)",  # Haitian Creole (Haiti)
    "hu_HU": "Magyar (Magyarország)",  # Hungarian (Hungary)
    "hy_AM": "Հայերեն (Հայաստան)",  # Armenian (Armenia)
    "ia_FR": "Interlingua (França)",  # Interlingua (France)
    "id_ID": "Bahasa Indonesia (Indonesia)",  # Indonesian (Indonesia)
    "ig_NG": "Igbo (Nigeria)",  # Igbo (Nigeria)
    "ik_CA": "Iñupiak (Kanada)",  # Inupiak (Canada)
    "is_IS": "Íslenska (Ísland)",  # Icelandic (Iceland)
    "it_CH": "Italiano (Svizzera)",  # Italian (Switzerland)
    "it_IT": "Italiano (Italia)",  # Italian (Italy)
    "it_IT@euro": "Italiano (Italia, euro)",  # Italian (Italy, Euro)
    "iu_CA": "ᐃᓄᒃᑎᑐᑦ (ᑲᓇᑕ)",  # Inuktitut (Canada)
    "ja_JP": "日本語 (日本)",  # Japanese (Japan)
    "kab_DZ": "Taqbaylit (Tigzirt n Yiqbayliyen)",  # Kabyle (Algeria)
    "ka_GE": "ქართული (საქართველო)",  # Georgian (Georgia)
    "kk_KZ": "Қазақ (Қазақстан)",  # Kazakh (Kazakhstan)
    "kl_GL": "Kalaallisut (Kalaallit Nunaat)",  # Greenlandic (Greenland)
    "km_KH": "ភាសាខ្មែរ (កម្ពុជា)",  # Khmer (Cambodia)
    "kn_IN": "ಕನ್ನಡ (ಭಾರತ)",  # Kannada (India)
    "kok_IN": "कोंकणी (भारत)",  # Konkani (India)
    "ko_KR": "한국어 (대한민국)",  # Korean (South Korea)
    "#ks_IN": "کٲشُر (ہِندوستان)",  # Kashmiri (India)
    "#ks_IN@devanagari": "कٲشُر (ہِندوستان, devanagari)",  # Kashmiri (India, Devanagari) # noqa
    "ku_TR": "Kurdî (Tirkiye)",  # Kurdish (Turkey)
    "kw_GB": "Kernewek (Rywvaneth Unys)",  # Cornish (United Kingdom)
    "ky_KG": "Кыргызча (Кыргызстан)",  # Kyrgyz (Kyrgyzstan)
    "lb_LU": "Lëtzebuergesch (Lëtzebuerg)",  # Luxembourgish (Luxembourg)
    "lg_UG": "Luganda (Yuganda)",  # Ganda (Uganda)
    "li_BE": "Limburgs (België)",  # Limburgish (Belgium)
    "lij_IT": "Ligure (Italia)",  # Ligurian (Italy)
    "li_NL": "Limburgs (Nederland)",  # Limburgish (Netherlands)
    "ln_CD": "Lingála (Republíki ya Kongó Demokratíki)",  # Lingala (Congo DRC)
    "lo_LA": "ພາສາລາວ (ລາວ)",  # Lao (Laos)
    "lt_LT": "Lietuvių (Lietuva)",  # Lithuanian (Lithuania)
    "lv_LV": "Latviešu (Latvija)",  # Latvian (Latvia)
    "lzh_TW": "文言 (中華人民共和國臺灣省)",  # Literary Chinese (Taiwan)
    "mag_IN": "मगही (भारत)",  # Magahi (India)
    "mai_IN": "मैथिली (भारत)",  # Maithili (India)
    "mai_NP": "मैथिली (नेपाल)",  # Maithili (Nepal)
    "mfe_MU": "Morisyen (Moris)",  # Morisyen (Mauritius)
    "mg_MG": "Malagasy (Madagasikara)",  # Malagasy (Madagascar)
    "mhr_RU": "Олык Марий (Росси)",  # Mari (Russia)
    "mi_NZ": "Māori (Aotearoa)",  # Maori (New Zealand)
    "miq_NI": "Miskito (Nicaragua)",  # Miskito (Nicaragua)
    "mjw_IN": "Majhi (India)",  # Majhi (India)
    "mk_MK": "Македонски (Македонија)",  # Macedonian (Macedonia)
    "ml_IN": "മലയാളം (ഭാരതം)",  # Malayalam (India)
    "mni_IN": "মৈতৈলোন্ (ভারত)",  # Manipuri (India)
    "mn_MN": "Монгол (Монгол)",  # Mongolian (Mongolia)
    "mnw_MM": "ဘာသာ မန် (မြန်မာ)",  # Mon (Myanmar)
    "mr_IN": "मराठी (भारत)",  # Marathi (India)
    "ms_MY": "Bahasa Melayu (Malaysia)",  # Malay (Malaysia)
    "mt_MT": "Malti (Malta)",  # Maltese (Malta)
    "my_MM": "မြန်မာ (မြန်မာ)",  # Burmese (Myanmar)
    "nan_TW": "閩南語 (中華人民共和國臺灣省)",  # Min Nan (Taiwan)
    "nan_TW@latin": "閩南語 (中華人民共和國臺灣省, latin)",  # Min Nan (Taiwan, Latin)
    "nb_NO": "Norsk bokmål (Norge)",  # Norwegian Bokmål (Norway)
    "nds_DE": "Plattdüütsch (Düütschland)",  # Low German (Germany)
    "nds_NL": "Nedersaksisch (Nederland)",  # Low Saxon (Netherlands)
    "ne_NP": "नेपाली (नेपाल)",  # Nepali (Nepal)
    "nhn_MX": "Nahuatl (México)",  # Nahuatl (Mexico)
    "niu_NU": "Niuean (Niue)",  # Niuean (Niue)
    "niu_NZ": "Niuean (New Zealand)",  # Niuean (New Zealand)
    "nl_AW": "Nederlands (Aruba)",  # Dutch (Aruba)
    "nl_BE": "Nederlands (België)",  # Dutch (Belgium)
    "nl_BE@euro": "Nederlands (België, euro)",  # Dutch (Belgium, Euro)
    "nl_NL": "Nederlands (Nederland)",  # Dutch (Netherlands)
    "nl_NL@euro": "Nederlands (Nederland, euro)",  # Dutch (Netherlands, Euro)
    "nn_NO": "Norsk nynorsk (Noreg)",  # Norwegian Nynorsk (Norway)
    "nr_ZA": "isiNdebele (iNingizimu Afrika)",  # South Ndebele (South Africa)
    "nso_ZA": "Sesotho sa Leboa (Afrika Borwa)",  # Northern Sotho (South Africa) # noqa
    "oc_FR": "Occitan (França)",  # Occitan (France)
    "om_ET": "Oromoo (Itoophiyaa)",  # Oromo (Ethiopia)
    "om_KE": "Oromoo (Keeniyaa)",  # Oromo (Kenya)
    "or_IN": "ଓଡ଼ିଆ (ଭାରତ)",  # Oriya (India)
    "os_RU": "Ирон (Уӕрӕсе)",  # Ossetic (Russia)
    "pa_IN": "ਪੰਜਾਬੀ (ਭਾਰਤ)",  # Punjabi (India)
    "pap_AW": "Papiamentu (Aruba)",  # Papiamento (Aruba)
    "pap_CW": "Papiamentu (Kòrsou)",  # Papiamento (Curacao)
    "pa_PK": "پنجابی (پاکستان)",  # Punjabi (Pakistan)
    "pl_PL": "Polski (Polska)",  # Polish (Poland)
    "ps_AF": "پښتو (افغانستان)",  # Pashto (Afghanistan)
    "pt_BR": "Português (Brasil)",  # Portuguese (Brazil)
    "pt_PT": "Português (Portugal)",  # Portuguese (Portugal)
    "pt_PT@euro": "Português (Portugal, euro)",  # Portuguese (Portugal, Euro)
    "quz_PE": "Runasimi (Piruw)",  # Quechua (Peru)
    "raj_IN": "राजस्थानी (भारत)",  # Rajasthani (India)
    "rif_MA": "Tarifit (Tmurt n Yeqbayliyen)",  # Riffian (Morocco)
    "ro_RO": "Română (România)",  # Romanian (Romania)
    "ru_RU": "Русский (Россия)",  # Russian (Russia)
    "ru_UA": "Русский (Украина)",  # Russian (Ukraine)
    "rw_RW": "Kinyarwanda (Rwanda)",  # Kinyarwanda (Rwanda)
    "sah_RU": "Саха (Россия)",  # Yakut (Russia)
    "sa_IN": "संस्कृत (भारत)",  # Sanskrit (India)
    "sat_IN": "ᱥᱟᱱᱛᱟᱲᱤ (ᱥᱟᱱᱛᱟᱲᱤ)",  # Santali (India)
    "sc_IT": "Sardu (Italia)",  # Sardinian (Italy)
    "sd_IN": "سنڌي (هند)",  # Sindhi (India)
    "sd_IN@devanagari": "सिन्धी (भारत, devanagari)",  # Sindhi (India, Devanagari) # noqa
    "se_NO": "Davvisámegiella (Norga)",  # Northern Sami (Norway)
    "sgs_LT": "Žemaitėška (Lietuva)",  # Samogitian (Lithuania)
    "shn_MM": "လိၵ်ႈတႆး (မိူင်းတီး)",  # Shan (Myanmar)
    "shs_CA": "Ojibwe (Canada)",  # Ojibwe (Canada)
    "sid_ET": "Sidamo (Itoophiyaa)",  # Sidamo (Ethiopia)
    "si_LK": "සිංහල (ශ්රී ලංකා)",  # Sinhala (Sri Lanka)
    "sk_SK": "Slovenčina (Slovensko)",  # Slovak (Slovakia)
    "sl_SI": "Slovenščina (Slovenija)",  # Slovenian (Slovenia)
    "sm_WS": "Gagana Samoa (Samoa)",  # Samoan (Samoa)
    "so_DJ": "Soomaali (Jabuuti)",  # Somali (Djibouti)
    "so_ET": "Soomaali (Itoobiya)",  # Somali (Ethiopia)
    "so_KE": "Soomaali (Kiiniya)",  # Somali (Kenya)
    "so_SO": "Soomaali (Soomaaliya)",  # Somali (Somalia)
    "sq_AL": "Shqip (Shqipëria)",  # Albanian (Albania)
    "sq_MK": "Shqip (Maqedonia)",  # Albanian (Macedonia)
    "sr_ME": "Српски (Црна Гора)",  # Serbian (Montenegro)
    "sr_RS": "Српски (Србија)",  # Serbian (Serbia)
    "sr_RS@latin": "Srpski (Srbija, latinica)",  # Serbian (Serbia, Latin)
    "ss_ZA": "SiSwati (iNingizimu Afrika)",  # Swati (South Africa)
    "st_ZA": "Sesotho (Afrika Borwa)",  # Southern Sotho (South Africa)
    "sv_FI": "Svenska (Finland)",  # Swedish (Finland)
    "sv_FI@euro": "Svenska (Finland, euro)",  # Swedish (Finland, Euro)
    "sv_SE": "Svenska (Sverige)",  # Swedish (Sweden)
    "sw_KE": "Kiswahili (Kenya)",  # Swahili (Kenya)
    "sw_TZ": "Kiswahili (Tanzania)",  # Swahili (Tanzania)
    "syr": "ܣܘܪܝܝܐ",  # Syriac
    "szl_PL": "Ślůnski (Půnjońsko)",  # Silesian (Poland)
    "ta_IN": "தமிழ் (இந்தியா)",  # Tamil (India)
    "ta_LK": "தமிழ் (இலங்கை)",  # Tamil (Sri Lanka)
    "tcy_IN": "ತುಳು (ಭಾರತ)",  # Tulu (India)
    "te_IN": "తెలుగు (భారత)",  # Telugu (India)
    "tg_TJ": "Тоҷикӣ (Тоҷикистон)",  # Tajik (Tajikistan)
    "the_NP": "थे (नेपाल)",  # Chitwania Tharu (Nepal)
    "th_TH": "ไทย (ไทย)",  # Thai (Thailand)
    "ti_ER": "ትግርኛ (ኤርትራ)",  # Tigrinya (Eritrea)
    "ti_ET": "ትግርኛ (ኢትዮጵያ)",  # Tigrinya (Ethiopia)
    "tig_ER": "ትግረ (ኤርትራ)",  # Tigre (Eritrea)
    "tk_TM": "Türkmen (Türkmenistan)",  # Turkmen (Turkmenistan)
    "tl_PH": "Filipino (Pilipinas)",  # Filipino (Philippines)
    "tn_ZA": "Setswana (Aforika Borwa)",  # Tswana (South Africa)
    "to_TO": "lea fakatonga (Tonga)",  # Tongan (Tonga)
    "tpi_PG": "Tok Pisin (Papua Niugini)",  # Tok Pisin (Papua New Guinea)
    "tr_CY": "Türkçe (Kıbrıs)",  # Turkish (Cyprus)
    "tr_TR": "Türkçe (Türkiye)",  # Turkish (Turkey)
    "ts_ZA": "Xitsonga (Afrika Dzonga)",  # Tsonga (South Africa)
    "tt_RU": "Татар (Россия)",  # Tatar (Russia)
    "tt_RU@iqtelif": "Татар (Россия, iqtelif)",  # Tatar (Russia, Iqtelif)
    "ug_CN": "ئۇيغۇرچە (جۇڭگو)",  # Uighur (China)
    "uk_UA": "Українська (Україна)",  # Ukrainian (Ukraine)
    "unm_US": "Unami (United States)",  # Unami (United States)
    "ur_IN": "اردو (بھارت)",  # Urdu (India)
    "ur_PK": "اردو (پاکستان)",  # Urdu (Pakistan)
    "uz_UZ": "O‘zbek (Uzbekistan)",  # Uzbek (Uzbekistan)
    "uz_UZ@cyrillic": "Ўзбек (Ўзбекистон, cyrillic)",  # Uzbek (Uzbekistan, Cyrillic) # noqa
    "ve_ZA": "Tshivenda (Afurika Tshipembe)",  # Venda (South Africa)
    "vi_VN": "Tiếng Việt (Việt Nam)",  # Vietnamese (Vietnam)
    "wa_BE": "Walloon (Belgium)",  # Walloon (Belgium)
    "wa_BE@euro": "Walloon (Belgium, Euro)",  # Walloon (Belgium, Euro)
    "wae_CH": "Walser (Schwiiz)",  # Walser (Switzerland)
    "wal_ET": "ወላይትኛ (ኢትዮጵያ)",  # Wolaytta (Ethiopia)
    "wo_SN": "Wolof (Sénégal)",  # Wolof (Senegal)
    "xh_ZA": "isiXhosa (uMzantsi Afrika)",  # Xhosa (South Africa)
    "yi_US": "ייִדיש (פֿאַראייניגטע שטאַטן)",  # Yiddish (United States)
    "yo_NG": "Yorùbá (Nigeria)",  # Yoruba (Nigeria)
    "yue_HK": "粤語 (中華人民共和國香港特別行政區)",  # Cantonese (Hong Kong)
    "yuw_PG": "Yau (Papua Niugini)",  # Yau (Papua New Guinea)
    "zh_CN": "中文 (简体中文)",  # Chinese (Simplified Chinese)
    "zh_HK": "中文 (中華人民共和國香港特別行政區)",  # Chinese (Hong Kong)
    "zh_SG": "中文 (新加坡)",  # Chinese (Singapore)
    "zh_TW": "中文 (中华人民共和国臺灣省)",  # Chinese (Taiwan)
    "zu_ZA": "isiZulu (iNingizimu Afrika)",  # Zulu (South Africa)
}
